## dhcpcd-ui 0.5.1

=== Makefile ===
PROG=		dhcpcd-ui
VERSION=	0.5.1

.PHONY:		icons

SUBDIR=		src icons

TOPDIR=		.
include ${TOPDIR}/config.mk
include ${MKDIR}/subdir.mk

GITREF?=	HEAD
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILE?=	${DISTPREFIX}.tar.bz2

CLEANFILES+=	*.tar.bz2

_SNAP_SH=	date -u +%Y%m%d%H%M
_SNAP!=		${_SNAP_SH}
SNAP=		${_SNAP}$(shell ${_SNAP_SH})
SNAPDIR=	${DISTPREFIX}-${SNAP}
SNAPFILE=	${SNAPDIR}.tar.bz2

dist:
	mkdir /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make clean icons; rm config.h config.mk)
	find /tmp/${DISTPREFIX} -name .gitignore -delete
	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX}
	ls -l ${DISTFILE}

distclean:
	(cd src; make clean)
	rm -f config.h config.mk

snapshot: icons
	mkdir /tmp/${SNAPDIR}
	cp -RPp * /tmp/${SNAPDIR}
	(cd /tmp/${SNAPDIR}; make clean; rm config.h config.mk)
	find /tmp/${SNAPDIR} -name .gitignore -delete
	tar -cvjpf ${SNAPFILE} -C /tmp ${SNAPDIR}
	rm -rf /tmp/${SNAPDIR}
	ls -l ${SNAPFILE}

snap: snapshot

icons:
	${MAKE} -C icons

=== debian/changelog ===
dhcpcd-ui (0.5.1-1) unstable; urgency=low

  * Initial upload to Debian (closes #595089)

 -- Roy Marples <roy@marples.name>  Thu, 16 Sep 2010 10:37:38 +0100

=== debian/control ===
Source: dhcpcd-ui
Section: net
Priority: optional
Maintainer: Roy Marples <roy@marples.name>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libnotify-dev
Standards-Version: 3.8.4
Homepage: http://roy.marples.name/projects/dhcpcd-ui

Package: dhcpcd-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcpcd-dbus
Description: GTK+ frontend for dhcpcd and wpa_supplicant
 dhcpcd-gtk sits in the notification area and notifies you of changes to your
 IPv4 network configuration from dhcpcd and wpa_supplicant.

=== debian/rules ===
#!/usr/bin/make -f

# There is no test target as such, but the build system does not know this.
override_dh_auto_test:

%:
	dh  $@

## dhcpcd-ui 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG=		dhcpcd-ui
-VERSION=	0.5.1
+VERSION=	0.5.2
 
 .PHONY:		icons

=== src/dhcpcd-gtk/Makefile ===
PROG=		dhcpcd-gtk
SRCS=		main.c menu.c prefs.c wpa.c

TOPDIR=		../..
include ${TOPDIR}/config.mk

ICONDIR?=	${PREFIX}/share/dhcpcd/icons
AUTOSTARTDIR?=	${PREFIX}/share/gnome/autostart
FILESDIR=	${AUTOSTARTDIR}
FILES=		dhcpcd-gtk.desktop
MAN8=		dhcpcd-gtk.8

CPPFLAGS+=	${NOTIFY} -I${TOPDIR}

CFLAGS+=	${GTK_CFLAGS}
LDADD+=		${LIB_DHCPCD} ${GTK_LIBS}

include ../libdhcpcd/Makefile.inc
include ${MKDIR}/prog.mk

=== debian/changelog ===
dhcpcd-ui (0.5.2-1ubuntu1) precise; urgency=low

  * debian/control: Build-Depends on libdbus-1-dev, fix FTBFS
    (Closes: #666378)

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 04 Apr 2012 14:49:41 +0200

dhcpcd-ui (0.5.2-1) unstable; urgency=low

  * Fix compile against libnotify-0.7.x (closes: #630264)

 -- Roy Marples <roy@marples.name>  Mon, 13 Jun 2011 11:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dhcpcd-ui
 Section: net
 Priority: optional
-Maintainer: Roy Marples <roy@marples.name>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libnotify-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roy Marples <roy@marples.name>
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libnotify-dev, libdbus-1-dev
 Standards-Version: 3.8.4
 Homepage: http://roy.marples.name/projects/dhcpcd-ui

## dhcpcd-ui 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG=		dhcpcd-ui
-VERSION=	0.5.2
+VERSION=	0.6.0
 
 .PHONY:		icons

=== icons/Makefile ===
SUBDIR=	16x16 22x22 24x24 32x32 48x48 scalable

MK=	../mk
include ${MK}/subdir.mk

=== src/Makefile ===
TOPDIR=		..
include ${TOPDIR}/config.mk

SUBDIR=		libdhcpcd ${UI}

include ${MKDIR}/subdir.mk

=== icons/16x16/Makefile ===
SUBDIR=	actions devices status

TOPDIR=		../..
include ${TOPDIR}/config.mk
include ${MKDIR}/subdir.mk

=== src/dhcpcd-gtk/Makefile ===
--- 
+++ 
@@ -15,5 +15,7 @@
 CFLAGS+=	${GTK_CFLAGS}
 LDADD+=		${LIB_DHCPCD} ${GTK_LIBS}
 
+.PHONY: dhcpcd-gtk
+
 include ../libdhcpcd/Makefile.inc
 include ${MKDIR}/prog.mk

=== src/libdhcpcd/Makefile ===
LIB=		dhcpcd
SHLIB_MAJOR=	1
SRCS=		main.c config.c dispatch.c misc.c wpa.c
INCS=		libdhcpcd.h

TOPDIR=		../..
include ${TOPDIR}/config.mk

CPPFLAGS+=	-I${TOPDIR} ${DBUS_CFLAGS}
CFLAGS+=	${DBUS_CFLAGS}
LDADD+=		${DBUS_LIBS}

# Don't install
LIBINSTALL=	${LIB_DHCPCD_INSTALL}

include ${MKDIR}/lib.mk

=== icons/16x16/actions/Makefile ===
CATEGORY=	actions
SRCS=		document-new.svg document-save.svg

include ../Makefile.inc

=== icons/16x16/devices/Makefile ===
CATEGORY=	devices
SRCS=		network-wired.svg network-wireless.svg
include ../Makefile.inc

=== icons/16x16/status/Makefile ===
CATEGORY=	status
SRCS=		network-error.svg network-idle.svg network-offline.svg
SRCS+=		network-receive.svg network-transmit-receive.svg
SRCS+=		network-transmit.svg network-wireless-encrypted.svg
include ../Makefile.inc

=== icons/scalable/actions/Makefile ===
CATEGORY=	actions
ICONS=		document-new.svg document-save.svg
include ../Makefile.inc

=== icons/scalable/status/Makefile ===
CATEGORY=	status
ICONS=		network-error.svg network-idle.svg network-offline.svg
ICONS+=		network-receive.svg network-transmit-receive.svg
ICONS+=		network-transmit.svg network-wireless-encrypted.svg
include ../Makefile.inc

=== debian/changelog ===
dhcpcd-ui (0.6.0-1ubuntu1) trusty; urgency=medium

  * Don't run dh_auto_clean unless config.mk exists, fixes FTBFS:
    make[1]: *** No rule to make target `config.mk'.  Stop.
    (Closes: #724218)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 04 Feb 2014 20:42:39 +0100

dhcpcd-ui (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Depend on libdbus-1-dev (closes: #666378)
  * Updated Standards-Version to 3.9.3 (no changes needed)

 -- Roy Marples <roy@marples.name>  Fri, 06 Apr 2012 11:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Roy Marples <roy@marples.name>
 Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libnotify-dev, libdbus-1-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://roy.marples.name/projects/dhcpcd-ui
 
 Package: dhcpcd-gtk

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh  $@
+
+override_dh_auto_clean:
+	[ ! -f config.mk ] || dh_auto_clean

## dhcpcd-ui 0.7.5

=== Makefile ===
PROG=		dhcpcd-ui
VERSION=	0.7.5

TOPDIR=		.
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

.PHONY:		icons

SUBDIR=		src ${MKICONS}

FOSSILID?=	current
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.bz2

CLEANFILES+=	*.tar.bz2

_SNAP_SH=	date -u +%Y%m%d%H%M
_SNAP!=		${_SNAP_SH}
SNAP=		${_SNAP}$(shell ${_SNAP_SH})
SNAPDIR=	${DISTPREFIX}-${SNAP}
SNAPFILE=	${SNAPDIR}.tar.bz2

dist:
	fossil tarball --name ${DISTPREFIX} ${FOSSILID} /tmp/${DISTFILEGZ}
	rm -rf /tmp/${DISTPREFIX}
	tar -xzpf /tmp/${DISTFILEGZ} -C /tmp
	(cd /tmp/${DISTPREFIX}; make icons)
	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX} /tmp/${DISTFILEGZ}
	ls -l ${DISTFILE}

distclean:
	(cd src; make clean)
	rm -f config.h config.mk config.log

snapshot: icons
	mkdir /tmp/${SNAPDIR}
	cp -RPp * /tmp/${SNAPDIR}
	(cd /tmp/${SNAPDIR}; make clean; rm config.h config.mk)
	find /tmp/${SNAPDIR} -name .gitignore -delete
	tar -cvjpf ${SNAPFILE} -C /tmp ${SNAPDIR}
	rm -rf /tmp/${SNAPDIR}
	ls -l ${SNAPFILE}

snap: snapshot

icons:
	${MAKE} -C icons

=== icons/Makefile ===
SUBDIR=	16x16 22x22 24x24 32x32 48x48 scalable hicolor

MK=	../mk
include ${MK}/subdir.mk

=== icons/scalable/Makefile ===
SUBDIR=	apps actions devices status

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

=== src/dhcpcd-gtk/Makefile ===
PROG=		dhcpcd-gtk
SRCS=		main.c menu.c prefs.c wpa.c

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk

ICONDIR?=	${PREFIX}/share/dhcpcd/icons
APPDIR?=	${PREFIX}/share/applications
FILESDIR=	${APPDIR}
FILES=		dhcpcd-gtk.desktop
MAN8=		dhcpcd-gtk.8

CPPFLAGS+=	${NOTIFY} -I${TOPDIR}

CFLAGS+=	${GTK_CFLAGS}
LDADD+=		${LIB_DHCPCD} ${GTK_LIBS}

.PHONY: dhcpcd-gtk

include ../libdhcpcd/Makefile.inc

FILESINSTALL=	_filesinstall
include ${MKDIR}/prog.mk
include ${MKDIR}/files.mk

=== src/dhcpcd-online/Makefile ===
PROG=		dhcpcd-online
SRCS=		dhcpcd-online.c

MAN8=		dhcpcd-online.8

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk

MAN8=		dhcpcd-online.8

CPPFLAGS+=	-I${TOPDIR}

LDADD+=		${LIB_DHCPCD} ${LIB_INTL}

FILES=		dhcpcd-wait-online.service
CLEANFILES+=	${FILES}

.SUFFIXES:	.in

.in:
	${SED} -e 's:@BINDIR@:${BINDIR}:g' $< > $@

include ../libdhcpcd/Makefile.inc
include ${MKDIR}/prog.mk

=== icons/22x22/status/Makefile ===
CATEGORY=	status
SRC=		dialog-warning.svg
SRCS+=		network-error.svg network-idle.svg network-offline.svg
SRCS+=		network-receive.svg network-transmit-receive.svg
SRCS+=		network-transmit.svg network-wireless-encrypted.svg
SRCS+=		network-wireless-connected-00.svg
SRCS+=		network-wireless-connected-25.svg
SRCS+=		network-wireless-connected-50.svg
SRCS+=		network-wireless-connected-75.svg
SRCS+=		network-wireless-connected-100.svg
include ../Makefile.inc

=== icons/hicolor/16x16/Makefile ===
SUBDIR=	apps

TOPDIR=		../../..
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

=== debian/changelog ===
dhcpcd-ui (0.7.5-0ubuntu3) focal; urgency=medium

  * Drop Qt4 build. (LP: #1757627)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2019 12:48:27 +0000

dhcpcd-ui (0.7.5-0ubuntu2) artful; urgency=medium

  * debian/control:
   - Add build-depends on libqt4-dev to build qt binary.
   - Add dhcpcd-qt binary for the qt binary.
   - Add dhcpcd-common binary for commons files between gtk and qt.
  * debian/rules:
   - Pass --with-qt flag to build qt binary.
   - Clean also src/dhcpcd-qt/Makefile.
   - Use dh_install --fail-missing.
  * debian/*.install
   - Split each binary into its own package.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 19 Jun 2017 07:51:42 +0200

dhcpcd-ui (0.7.5-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * debian/copyright:
   - Update copyright.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 01 May 2017 21:16:47 +0200

dhcpcd-ui (0.6.0-1.1) unstable; urgency=low

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Michael Ablassmeier ]
  * Override dh_auto_clean to not start if config.mk does not yet
    exit to fix FTBFS. (Closes: #724218)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Sep 2014 14:02:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,13 @@
 
 Package: dhcpcd-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dhcpcd-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, dhcpcd-dbus, dhcpcd-common
 Description: GTK+ frontend for dhcpcd and wpa_supplicant
  dhcpcd-gtk sits in the notification area and notifies you of changes to your
  IPv4 network configuration from dhcpcd and wpa_supplicant.
+
+Package: dhcpcd-common
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Common files for dhcpcd frontends
+ dhcpcd-common are common files for dhcpcd-qt and dhcpcd-gtk.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_clean:
 	[ ! -f config.mk ] || dh_auto_clean
+
+override_dh_install:
+	dh_install --fail-missing

=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-ui-(.*)\.tar\.bz2 debian uupdate

## dhcpcd-ui 0.7.8

=== Makefile ===
PROG=		dhcpcd-ui
VERSION=	0.7.8

TOPDIR=		.
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

.PHONY:		icons

SUBDIR=		src ${MKICONS}

GITREF?=	HEAD
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILETAR?=	${DISTPREFIX}.tar
DISTFILE?=	${DISTFILETAR}.xz
DISTINFO=	${DISTFILE}.distinfo
DISTINFOSIGN=	${DISTINFO}.asc
CKSUM?=		cksum -a SHA256
PGP?=		netpgp

CLEANFILES+=	${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}

_SNAP_SH=	date -u +%Y%m%d%H%M
_SNAP!=		${_SNAP_SH}
SNAP=		${_SNAP}$(shell ${_SNAP_SH})
SNAPDIR=	${DISTPREFIX}-${SNAP}
SNAPFILE=	${SNAPDIR}.tar.xz

dist:
	[ -e config.mk ] || ./configure
	git archive --prefix=${DISTPREFIX}/ -o /tmp/${DISTFILETAR} ${GITREF}
	tar -xpf /tmp/${DISTFILETAR} -C /tmp
	# We need config.mk to build the icons - remove it once done
	cp config.mk /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make icons)
	rm /tmp/${DISTPREFIX}/config.mk
	rm -rf /tmp/${DISTPREFIX}/doc
	tar -cvJpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX} /tmp/${DISTFILETAR}

distinfo: dist
	rm -f ${DISTINFO} ${DISTINFOSIGN}
	${CKSUM} ${DISTFILE} >${DISTINFO}
	#printf "SIZE (${DISTFILE}) = %s\n" $$(wc -c <${DISTFILE}) >>${DISTINFO}
	${PGP} --clearsign --output=${DISTINFOSIGN} ${DISTINFO}
	chmod 644 ${DISTINFOSIGN}
	ls -l ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}

distclean:
	(cd src; make clean)
	rm -f config.h config.mk config.log

snapshot: icons
	mkdir /tmp/${SNAPDIR}
	cp -RPp * /tmp/${SNAPDIR}
	(cd /tmp/${SNAPDIR}; make clean; rm config.h config.mk)
	find /tmp/${SNAPDIR} -name .gitignore -delete
	tar -cvJpf ${SNAPFILE} -C /tmp ${SNAPDIR}
	rm -rf /tmp/${SNAPDIR}
	ls -l ${SNAPFILE}

snap: snapshot

icons:
	${MAKE} -C icons

=== src/Makefile ===
TOPDIR=		..
include ${TOPDIR}/iconfig.mk

SUBDIR=		${UI}

include ${MKDIR}/subdir.mk

=== src/dhcpcd-curses/Makefile ===
PROG=		dhcpcd-curses
SRCS=		dhcpcd-curses.c eloop.c

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk

MAN8=		dhcpcd-curses.8

CPPFLAGS+=	-I${TOPDIR} ${CURSES_CPPFLAGS}
LDADD+=		${LIB_DHCPCD} ${LIB_CURSES} ${LIB_INTL}

.PHONY: dhcpcd-curses

include ../libdhcpcd/Makefile.inc

include ${MKDIR}/prog.mk

=== src/dhcpcd-gtk/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 ICONDIR?=	${PREFIX}/share/dhcpcd/icons
 APPDIR?=	${PREFIX}/share/applications
-FILESDIR=	${APPDIR}
+FILESDIR=	${SYSCONFDIR}/xdg/autostart
 FILES=		dhcpcd-gtk.desktop
 MAN8=		dhcpcd-gtk.8

=== src/libdhcpcd/Makefile ===
LIB=		dhcpcd
SHLIB_MAJOR=	1
SRCS=		dhcpcd.c config.c wpa.c ${VIS_SRC} ${UNVIS_SRC}
INCS=		dhcpcd.h

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk

CPPFLAGS+=	-I${TOPDIR}
LDADD+=		${LIB_INTL}

# Don't install
LIBINSTALL=	${LIB_DHCPCD_INSTALL}

include ${MKDIR}/lib.mk

=== icons/16x16/actions/Makefile ===
CATEGORY=	actions
SRCS=		dialog-ok-apply.png document-new.svg document-save.svg

include ../Makefile.inc

=== icons/scalable/actions/Makefile ===
CATEGORY=	actions
ICONS=		dialog-ok-apply.svg document-new.svg document-save.svg
include ../Makefile.inc

=== icons/scalable/apps/Makefile ===
CATEGORY=	apps
ICONS=		dhcpcd.svg
include ../Makefile.inc

=== icons/scalable/devices/Makefile ===
CATEGORY=	devices
ICONS=		network-wired.svg network-wireless.svg
include ../Makefile.inc

=== icons/hicolor/scalable/apps/Makefile ===
CATEGORY=	apps
ICONS=		dhcpcd.svg

ICONDIR=	${PREFIX}/share/icons
include ../Makefile.inc

=== debian/changelog ===
dhcpcd-ui (0.7.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Deleted debian/compat.
  * Added debian/upstream/metadata.
  * Added debian/NEWS.dhcpcd-ui.
  * Fixes to mostly unusable as some icons are missing. (Closes: #952394)
  * debian/control:
    - Set Debian QA Group as maintainer. (See #770081)
    - Bumped Standards-Version to 4.5.1.
    - Updated debhelper to debhelper-compat to version 13.
    - Updated homepage field.
    - Added 'Rules-Requires-Root: no' to source stanza.
    - Added dhcpcd-common binary for commons files between gtk.
    - Replace build-deps to gtk3. (Closes: #967311)
    - Added cairosvg in build-deps.
    - Added Vcs-Git and Vcs-Browser fields.
  * debian/watch:
    - Bumped version of 3 to 4.
    - Updated URL to a secure link reported by Lintian.
    - Updated URL to import tarball of latest version.
  * debian/copyright:
    - Updated year upstream author.
    - Updated source field.
    - Updated file following DEP-5.
    - Added files debian/* and people involved with year of contribution.
    - Added myself.
  * debian/rules:
    - Use debhelper's dpkg-buildflags support to picking up hardening flags.
    - Added override to install archive debian/NEWS.dhcpcd-ui.
    - Added override auto configure.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 05 Jan 2021 15:57:02 -0300

=== debian/control ===
Source: dhcpcd-ui
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cairosvg,
 debhelper-compat (= 13),
 libdbus-1-dev,
 libgtk-3-dev,
 libnotify-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://roy.marples.name/projects/dhcpcd-ui
Vcs-Git: https://salsa.debian.org/debian/dhcpcd-ui.git
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd-ui

Package: dhcpcd-gtk
Architecture: any
Depends:
 dhcpcd-dbus,
 ${misc:Depends},
 ${shlibs:Depends},
# Debian-specific: do not split package for now
# should split again after Debian 11 release
Breaks:
 dhcpcd-common (<< 0.7.6),
Replaces:
 dhcpcd-common (<< 0.7.6),
Description: GTK+ frontend for dhcpcd and wpa_supplicant
 dhcpcd-gtk sits in the notification area and notifies you of changes to your
 IPv4 network configuration from dhcpcd and wpa_supplicant.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# There is no test target as such, but the build system does not know this.
override_dh_auto_test:

%:
	dh  $@

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs debian/NEWS.dhcpcd-ui

override_dh_auto_configure:
	dh_auto_configure -- --with-gtk=gtk+-3.0

=== debian/watch ===
version=4
https://roy.marples.name/downloads/dhcpcd/dhcpcd-ui-(.*)\.tar\.xz debian uupdate

## dhcpcd-ui 0.7.9

=== Makefile ===
PROG=		dhcpcd-ui
PACKAGE=	${PROG}
VERSION=	0.7.9

TOPDIR=		.
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

.PHONY:		icons

SUBDIR=		src ${MKICONS}

DIST!=		if test -d .git; then echo "dist-git"; \
		else echo "dist-inst"; fi
DISTPREFIX?=	${PACKAGE}-${VERSION}
DISTFILETAR?=	${DISTPREFIX}.tar
DISTFILE?=	${DISTFILETAR}.xz
DISTINFO=	${DISTFILE}.distinfo
DISTINFOMD=	${DISTINFO}.md
DISTSIGN=	${DISTFILE}.asc

CLEANFILES+=	${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}

_SNAP_SH=	date -u +%Y%m%d%H%M
_SNAP!=		${_SNAP_SH}
SNAP=		${_SNAP}$(shell ${_SNAP_SH})
SNAPDIR=	${DISTPREFIX}-${SNAP}
SNAPFILE=	${SNAPDIR}.tar.xz

SHA256?=	sha256
PGP?=		gpg

dist-git:
	git archive --prefix=${DISTPREFIX}/ v${VERSION} | xz >${DISTFILE}

dist-inst:
	mkdir /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make clean)
	tar -cvJpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX}

dist: ${DIST}

distinfo: dist
	rm -f ${DISTINFO} ${DISTSIGN}
	${SHA256} ${DISTFILE} >${DISTINFO}
	wc -c <${DISTFILE} \
		| xargs printf 'Size   (${DISTFILE}) = %s\n' >>${DISTINFO}
	${PGP} --armour --detach-sign ${DISTFILE}
	chmod 644 ${DISTSIGN}
	ls -l ${DISTFILE} ${DISTINFO} ${DISTSIGN}

${DISTINFOMD}: ${DISTINFO}
	echo '```' >${DISTINFOMD}
	cat ${DISTINFO} >>${DISTINFOMD}
	echo '```' >>${DISTINFOMD}

release: distinfo ${DISTINFOMD}
	gh release create v${VERSION} \
		--title "${PACKAGE} ${VERSION}" --draft --generate-notes \
		--notes-file ${DISTINFOMD} \
		${DISTFILE} ${DISTSIGN}

distclean:
	(cd src; make clean)
	rm -f config.h config.mk config.log \
		dhcpcd-ui-*.tar.xz*

snapshot: icons
	mkdir /tmp/${SNAPDIR}
	cp -RPp * /tmp/${SNAPDIR}
	(cd /tmp/${SNAPDIR}; make clean; rm config.h config.mk)
	find /tmp/${SNAPDIR} -name .gitignore -delete
	tar -cvJpf ${SNAPFILE} -C /tmp ${SNAPDIR}
	rm -rf /tmp/${SNAPDIR}
	ls -l ${SNAPFILE}

snap: snapshot

icons:
	${MAKE} -C icons

=== icons/16x16/Makefile ===
SUBDIR=	actions devices status

TOPDIR=		../..
include ${TOPDIR}/iconfig.mk
include ${MKDIR}/subdir.mk

=== icons/hicolor/Makefile ===
SUBDIR=	16x16 22x22 24x24 32x32 48x48 scalable

MK=	../../mk
include ${MK}/subdir.mk

=== src/dhcpcd-gtk/Makefile ===
--- 
+++ 
@@ -15,6 +15,11 @@
 CFLAGS+=	${GTK_CFLAGS}
 LDADD+=		${LIB_DHCPCD} ${GTK_LIBS}
 
+# new glib causes deprecated warnings on old Gtk+.
+# A different Gtk+ front end needs to be written anyway as the systray
+# is gone in Gtk+4.
+CFLAGS+=	-Wno-deprecated-declarations
+
 .PHONY: dhcpcd-gtk
 
 include ../libdhcpcd/Makefile.inc

=== src/dhcpcd-online/Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 
 .SUFFIXES:	.in
 
+.PHONY:		dhcpcd-online
+
 .in:
 	${SED} -e 's:@BINDIR@:${BINDIR}:g' $< > $@

=== icons/16x16/status/Makefile ===
CATEGORY=	status
SRCS=		dialog-warning.svg
SRCS+=		network-error.svg network-idle.svg network-offline.svg
SRCS+=		network-receive.svg network-transmit-receive.svg
SRCS+=		network-transmit.svg network-wireless-encrypted.svg
SRCS+=		network-wireless-connected-00.svg
SRCS+=		network-wireless-connected-25.svg
SRCS+=		network-wireless-connected-50.svg
SRCS+=		network-wireless-connected-75.svg
SRCS+=		network-wireless-connected-100.svg
include ../Makefile.inc

=== icons/22x22/actions/Makefile ===
CATEGORY=	actions
SRCS=		dialog-ok-apply.svg document-new.svg document-save.svg

include ../Makefile.inc

=== icons/scalable/status/Makefile ===
CATEGORY=	status
ICONS=		dialog-warning.svg
ICONS+=		network-error.svg network-idle.svg network-offline.svg
ICONS+=		network-receive.svg network-transmit-receive.svg
ICONS+=		network-transmit.svg network-wireless-encrypted.svg
ICONS+=		network-wireless-connected-00.svg
ICONS+=		network-wireless-connected-25.svg
ICONS+=		network-wireless-connected-50.svg
ICONS+=		network-wireless-connected-75.svg
ICONS+=		network-wireless-connected-100.svg
include ../Makefile.inc

=== icons/hicolor/16x16/apps/Makefile ===
CATEGORY=	apps
SRCS=		dhcpcd.svg

ICONDIR=	${PREFIX}/share/icons
include		../Makefile.inc

=== debian/changelog ===
dhcpcd-ui (0.7.9-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:31 +1100

dhcpcd-ui (0.7.9-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:13:42 +0000

dhcpcd-ui (0.7.9-5) unstable; urgency=medium

  * Fix FTBFS source after successful build. (Closes: #1044242)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 25 Aug 2023 22:30:50 -0300

dhcpcd-ui (0.7.9-4) unstable; urgency=medium

  * debian/control:
    - New maintainer. (Closes: #770081)
    - Delete build-dep libdbus-1-dev.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sat, 01 Jul 2023 15:30:38 -0300

dhcpcd-ui (0.7.9-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Replace dhcpcd-dbus dependency to dhcpcd.
    Note: As per the author Roy Marples information, this package no longer
    depends on dhcpcd-dbus.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Wed, 21 Jun 2023 15:39:37 -0300

dhcpcd-ui (0.7.9-2) unstable; urgency=medium

  * QA upload.

  [ Leandro Cunha ]
  * Recommends wpa_supplicant to unusual installation. (Closes: #1031092)
  * debian/upstream/metadata: Change to new repository in GitHub.
  * debian/copyright:
    - Add myself and fix Lintian report.
    - Change source field to new repository in GitHub.
  * Add debian/salsa-ci.yml to continuous integration tests.

  [ Boyuan Yang ]
  * debian/watch: Add configuration to get tarballs signed and fix Lintian
    report.
  * Add debian/upstream/signing-key.asc.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 16 Jun 2023 02:26:30 -0300

dhcpcd-ui (0.7.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/watch: Fix upstream monitoring script.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 15:27:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dhcpcd-ui
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Leandro Cunha <leandrocunha016@gmail.com>
 Build-Depends:
  cairosvg,
  debhelper-compat (= 13),
- libdbus-1-dev,
  libgtk-3-dev,
  libnotify-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://roy.marples.name/projects/dhcpcd-ui
 Vcs-Git: https://salsa.debian.org/debian/dhcpcd-ui.git
@@ -17,9 +17,10 @@
 Package: dhcpcd-gtk
 Architecture: any
 Depends:
- dhcpcd-dbus,
+ dhcpcd,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends: wpasupplicant
 # Debian-specific: do not split package for now
 # should split again after Debian 11 release
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,11 @@
 %:
 	dh  $@
 
-override_dh_auto_clean:
-	[ ! -f config.mk ] || dh_auto_clean
-
 override_dh_installchangelogs:
 	dh_installchangelogs debian/NEWS.dhcpcd-ui
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gtk=gtk+-3.0
+
+execute_after_dh_auto_clean:
+	find icons/ -type f -name "*.png" -exec rm -f {} \;

=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/v(.*)\.tar\.gz/releases\/download\/v$1\/@PACKAGE@-$1\.tar\.xz/,\
    pgpsigurlmangle=s/$/.asc/ \
    https://github.com/NetworkConfiguration/@PACKAGE@/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
